> ## Documentation Index
> Fetch the complete documentation index at: https://docs-staging.termii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balance



## OpenAPI

````yaml https://res.cloudinary.com/dgdteyucq/raw/upload/v1744131377/termii/test_kdae1u.json get /api/get-balance
openapi: 3.0.3
info:
  title: Public API
  description: >-
    This is a refined OpenAPI 3.0 specification for the Public API, including
    enhanced descriptions, reusable components, and structured security
    definitions.
  version: 1.0.1
  contact:
    name: Support Team
    email: support@example.com
    url: https://example.com/support
servers:
  - url: '{base_url}'
    variables:
      base_url:
        default: ''
        description: ''
    description: Production Server
security:
  - ApiKeyAuth: []
paths:
  /api/get-balance:
    get:
      tags:
        - Insight
      summary: Get Balance
      operationId: getBalance
      parameters:
        - name: api_key
          in: query
          required: true
          schema:
            type: string
          example: your-api-key
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
            default: application/json
          example: application/json
          description: This header is automatically set to application/json.
      responses:
        '200':
          description: Balance retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Success
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: '123'
                        name:
                          type: string
                          example: Sample
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    BadRequest:
      description: Invalid request parameters.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: error
              message:
                type: string
                example: Invalid format.
    Unauthorized:
      description: Unauthorized.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: error
              message:
                type: string
                example: Unauthorized
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````